## download-monitor 12.07.4-extras12.04.1

=== debian/changelog ===
download-monitor (12.07.4-extras12.04.1) precise; urgency=low

  * Initial release.
  * Bumping minor version due to icon change.

 -- duncanjdavis <duncanjdavis@gmail.com>  Sun, 08 Jul 2012 15:33:16 +0100
