=== debian/control ===
Source: download-monitor
Section: net
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 libglib2.0-bin
Maintainer: Duncan Davis <duncanjdavis@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: download-monitor
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-xdg,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-dbusmenu-glib-0.4,
 gir1.2-unity-5.0,
 python-apport,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-launchpad-integration-3.0,
 yelp,
 vnstat
Description: Monitors your network usage to help you stay within usage caps.
 Displays the amounts of data transferred over the network with graphs
 showing historic monthly, daily and hourly usage. Allows you to set
 usage quotas and warns you when you exceed them or look like you will
 exceed them. Useful if you are on a limited data plan.
