=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/download-monitor                 --install-data=/opt/extras.ubuntu.com/download-monitor                 --install-lib=/opt/extras.ubuntu.com/download-monitor

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/download-monitor


override_dh_install:
	dh_install
	mkdir -p debian/download-monitor/opt/extras.ubuntu.com/download-monitor/bin
	if [ -x debian/download-monitor/opt/extras.ubuntu.com/download-monitor/download-monitor ]; then mv debian/download-monitor/opt/extras.ubuntu.com/download-monitor/download-monitor debian/download-monitor/opt/extras.ubuntu.com/download-monitor/bin; fi
	if [ -f debian/download-monitor/opt/extras.ubuntu.com/download-monitor/share/applications/download-monitor.desktop ]; then \
		mkdir -p debian/download-monitor/usr/share/applications; \
		mv debian/download-monitor/opt/extras.ubuntu.com/download-monitor/share/applications/download-monitor.desktop debian/download-monitor/usr/share/applications/extras-download-monitor.desktop; \
		rmdir --ignore-fail-on-non-empty debian/download-monitor/opt/extras.ubuntu.com/download-monitor/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/download-monitor/bin/download-monitor|' debian/download-monitor/usr/share/applications/extras-download-monitor.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/download-monitor/|' debian/download-monitor/usr/share/applications/extras-download-monitor.desktop; \
	fi
	grep -RlZ 'import gettext' debian/download-monitor/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/download-monitor/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('download-monitor')" debian/download-monitor/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('download-monitor')\)|locale\.bindtextdomain('download-monitor', '/opt/extras.ubuntu.com/download-monitor/share/locale')\nlocale\1|" 
	sed -i "s|__download_monitor_data_directory__ =.*|__download_monitor_data_directory__ = '/opt/extras.ubuntu.com/download-monitor/share/download-monitor/'|" debian/download-monitor/opt/extras.ubuntu.com/download-monitor/download_monitor*/download_monitorconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/download-monitor/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/download-monitor/opt/extras.ubuntu.com/download-monitor/bin/download-monitor
	if [ -d debian/download-monitor/opt/extras.ubuntu.com/download-monitor/share/glib-2.0/schemas ]; then glib-compile-schemas debian/download-monitor/opt/extras.ubuntu.com/download-monitor/share/glib-2.0/schemas; fi
	if [ -f debian/download-monitor/etc/apport/crashdb.conf.d/download-monitor-crashdb.conf ]; then \
		mkdir -p debian/download-monitor/opt/extras.ubuntu.com/download-monitor/etc/apport/crashdb.conf.d; \
		mv debian/download-monitor/etc/apport/crashdb.conf.d/download-monitor-crashdb.conf debian/download-monitor/opt/extras.ubuntu.com/download-monitor/etc/apport/crashdb.conf.d; \
		rm -rf debian/download-monitor/etc; \
	fi
